ResourceCopier (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.web.servlet.filter
[Java] Interface ResourceCopier

    public interface ResourceCopier

Authors:
  Graeme Rocher

Since:
  17-Feb-2006

Method Summary
`void` | `cleanControllers()` Cleans out controllers replacing them with new ones
`void` | `copyGrailsApp()` Copies the whole grails-app replacing any changes
`void` | `copyResourceBundles()` Copies the resource bundles.
`void` | `copyViews(boolean shouldOverwrite)` Copies only the views
`void` | `copyViews()` Copies only the views.
`void` | `generateWebXml()` Re-generates the web.xml file
`void` | `setBasedir(java.lang.String basedir)` The basedir to copy from (defaults to ".")
`void` | `setDestdir(java.lang.String destdir)` The destdir to copy destdir (defaults to "./tmp/war")

Method Detail

### cleanControllers

    public void cleanControllers()

  Cleans out controllers replacing them with new ones

### copyGrailsApp

    public void copyGrailsApp()

  Copies the whole grails-app replacing any changes

### copyResourceBundles

    public void copyResourceBundles()

  Copies the resource bundles. Older resource bundles will be replaced by a newer version

### copyViews

    public void copyViews(boolean shouldOverwrite)

  Copies only the views
  Parameters:
    `shouldOverwrite` - Whether the views should be overwritten

### copyViews

    public void copyViews()

  Copies only the views. Older views will be replaced by a newer version

### generateWebXml

    public void generateWebXml()

  Re-generates the web.xml file

### setBasedir

    public void setBasedir(java.lang.String basedir)

  The basedir to copy from (defaults to ".")
  Parameters:
    basedir

### setDestdir

    public void setDestdir(java.lang.String destdir)

  The destdir to copy destdir (defaults to "./tmp/war")
  Parameters:
    destdir

Groovy Documentation